<?php
// $Id: ec_subproducts.views.inc,v 1.1 2010/08/14 03:05:20 gordon Exp $

/**
 * @file
 */

/**
 * Implementation og hook_views_data().
 */
function ec_subproducts_views_data() {
  $data = array();
  
  $data['ec_product']['pparent'] = array(
    'title' => t('Is parent product'),
    'help' => t('Filter out nodes which are parent products'),
    'filter' => array(
      'field' => 'pparent',
      'handler' => 'ec_subproducts_views_handler_filter_pparent',
      'label' => t('Is parent'),
      'type' => 'yes-no',
    ),
  );
  
  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function ec_subproducts_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'ec_subproducts') . '/views',
    ),
    'handlers' => array(
      'ec_subproducts_views_handler_filter_pparent' => array(
        'parent' => 'views_handler_filter_boolean_operator'
      ),
    ),
  );
}